package com.kingdee.eas.custom.notify;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class UpdateContentFactory
{
    private UpdateContentFactory()
    {
    }
    public static com.kingdee.eas.custom.notify.IUpdateContent getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.notify.IUpdateContent)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("683EDED6") ,com.kingdee.eas.custom.notify.IUpdateContent.class);
    }
    
    public static com.kingdee.eas.custom.notify.IUpdateContent getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.notify.IUpdateContent)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("683EDED6") ,com.kingdee.eas.custom.notify.IUpdateContent.class, objectCtx);
    }
    public static com.kingdee.eas.custom.notify.IUpdateContent getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.notify.IUpdateContent)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("683EDED6"));
    }
    public static com.kingdee.eas.custom.notify.IUpdateContent getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.notify.IUpdateContent)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("683EDED6"));
    }
}